function [startf,stopf,maxsofar]=maxsum(in)

maxsofar=0;
maxendinghere=0;
startf=1;
stopf=1;
aktstartf=1;

for i=1:length(in)
    if (maxendinghere+in(i) < 0)
        maxendinghere=0;
        aktstartf=i+1;
    else
        maxendinghere=maxendinghere+in(i);
    end
    
    if(maxendinghere > maxsofar)
        maxsofar=maxendinghere;
        stopf=i;
        startf=aktstartf;
    end
end